# Uses of Interface
org.apache.solr.client.solrj.response.FastStreamingDocsCallback

Packages that use FastStreamingDocsCallback
Package
Description
org.apache.solr.client.solrj
Primary APIs for communicating with a Solr Server from a Java client.
org.apache.solr.client.solrj.response
Convenience classes for dealing with various types of Solr responses.

## Uses of FastStreamingDocsCallback in org.apache.solr.client.solrj

Methods in org.apache.solr.client.solrj with parameters of type FastStreamingDocsCallback
Modifier and Type
Method
Description
`QueryResponse`
SolrClient.`queryAndStreamResponse(String collection, SolrParams params, FastStreamingDocsCallback callback)`

## Uses of FastStreamingDocsCallback in org.apache.solr.client.solrj.response

Fields in org.apache.solr.client.solrj.response declared as FastStreamingDocsCallback
Modifier and Type
Field
Description
`final FastStreamingDocsCallback`
StreamingJavaBinResponseParser.`fastCallback`
Constructors in org.apache.solr.client.solrj.response with parameters of type FastStreamingDocsCallback
Modifier
Constructor
Description
``
`StreamingJavaBinResponseParser(FastStreamingDocsCallback cb)`